Index: TipAndDoc/tools/svn/hooks/post-commit
===================================================================
--- TipAndDoc/tools/svn/hooks/post-commit	(revision e135cc7fa07a7d689de6eb806ce5ee67ad77c5f9)
+++ TipAndDoc/tools/svn/hooks/post-commit	(revision e135cc7fa07a7d689de6eb806ce5ee67ad77c5f9)
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# POST-COMMIT HOOK
+#
+# The post-commit hook is invoked after a commit.  Subversion runs
+# this hook by invoking a program (script, executable, binary, etc.)
+# named 'post-commit' (for which this file is a template) with the 
+# following ordered arguments:
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] REV          (the number of the revision just committed)
+#
+# The default working directory for the invocation is undefined, so
+# the program should set one explicitly if it cares.
+#
+# Because the commit has already completed and cannot be undone,
+# the exit code of the hook program is ignored.  The hook program
+# can use the 'svnlook' utility to help it examine the
+# newly-committed tree.
+#
+# On a Unix system, the normal procedure is to have 'post-commit'
+# invoke other programs to do the real work, though it may do the
+# work itself too.
+#
+# Note that 'post-commit' must be executable by the user(s) who will
+# invoke it (typically the user httpd runs as), and that user must
+# have filesystem-level permission to access the repository.
+#
+# On a Windows system, you should name the hook program
+# 'post-commit.bat' or 'post-commit.exe',
+# but the basic idea is the same.
+# 
+# The hook program typically does not inherit the environment of
+# its parent process.  For example, a common problem is for the
+# PATH environment variable to not be set to its usual value, so
+# that subprograms fail to launch unless invoked via absolute path.
+# If you're having unexpected problems with a hook program, the
+# culprit may be unusual (or missing) environment variables.
+# 
+# Here is an example hook script, for a Unix /bin/sh interpreter.
+# For more examples and pre-written hooks, see those in
+# /usr/share/subversion/hook-scripts, and in the repository at
+# http://svn.collab.net/repos/svn/trunk/tools/hook-scripts/ and
+# http://svn.collab.net/repos/svn/trunk/contrib/hook-scripts/
+
+
+REPOS="$1"
+REV="$2"
+
+# "$REPOS"/hooks/mailer.py commit "$REPOS" $REV "$REPOS"/mailer.conf
+
+PROJECT_NAME=`basename $REPOS`
+DIRNAME=`dirname $REPOS`
+SUB_ROOTDIR=`basename $DIRNAME`
+
+export PYTHON_EGG_CACHE="/tmp"
+export TRAC_ENV="/var/trac/${SUB_ROOTDIR}/${PROJECT_NAME}"
+/home/tools/trac/contrib/trac-svn-hook $REPOS $REV
Index: TipAndDoc/tools/svn/hooks/start-commit
===================================================================
--- TipAndDoc/tools/svn/hooks/start-commit	(revision e135cc7fa07a7d689de6eb806ce5ee67ad77c5f9)
+++ TipAndDoc/tools/svn/hooks/start-commit	(revision e135cc7fa07a7d689de6eb806ce5ee67ad77c5f9)
@@ -0,0 +1,38 @@
+#!/usr/bin/perl -w
+
+# START-COMMIT HOOK
+#
+#   [1] REPOS-PATH   (the path to this repository)
+#   [2] USER         (the authenticated user attempting to commit)
+#   [3] CAPABILITIES (a colon-separated list of capabilities reported
+#                     by the client; see note below)
+#
+# Note: The CAPABILITIES parameter is new in Subversion 1.5, and 1.5
+# clients will typically report at least the "mergeinfo" capability.
+# If there are other capabilities, then the list is colon-separated,
+# e.g.: "mergeinfo:some-other-capability" (the order is undefined).
+#
+
+my $repospath     = $ARGV[0];
+my $user          = $ARGV[1];
+my $capabilities  = $ARGV[2];
+
+# CAPABILITIES is a colon-separated list of svn client capabilities
+if (! defined $capabilities) {
+    print STDERR "commit fail: you must use Subversion 1.5 or later\n";
+    exit 1;
+}
+
+my @capabilities  = split /:/, $capabilities;
+
+foreach my $parameter ( @capabilities ){
+    $capabilities{ $parameter }++;
+}
+
+if( $capabilities{ "mergeinfo" } ){
+    exit 0;
+}
+else{
+    print STDERR "commit fail: you must use Subversion 1.5 or later\n";
+    exit 1;
+}
